
Redmine - Defect #11318

cannot browse svn repository

2012-07-04 10:39 - Radek Antoniuk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.3

Description

it appears that bug #3929 is again here

i cannot browse SVN repository and I can see in the logs

Position: 

Last 80 unconsumed characters:

Output was:

 <?xml version="1.0"?>

<lists>

<list

   path="https://repohost/repos/reponame">

Rendering template within layouts/base

Rendering common/error (404)

Completed in 1499ms (View: 564, DB: 13) | 404 Not Found [http://host/projects/project/repository]

 doing svn ls --xml manually from www-data user shows correct output

also, I am using fetch_changesets in cron and this is also working fine

History

#1 - 2012-07-17 11:51 - Steffen B.

Hi,

we have the same error also, if we try to access a "external" svn with username and password.

Redmine version 2.0.1.stable

snip ..

Processing by RepositoriesController#show as HTML

Parameters: {"id"=>"prj-0022"}

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

/usr/lib/ruby/1.8/rexml/parsers/treeparser.rb:28:in `parse'

/usr/lib/ruby/1.8/rexml/document.rb:228:in `build'

and the end snip ...

@

No close tag for /lists/list

Line: 4

Position: 89

Last 80 unconsumed characters:

Output was:

<?xml version="1.0"?>

<lists>

<list

path="svn+ssh://192.168.x.xxx/home/svn/Prj-0022">

Rendered common/error.html.erb within layouts/base (0.4ms)

  Rendered plugins/redmine_backlogs/app/views/hooks/_rb_include_scripts.html.erb (5.6ms)

Completed 404 Not Found in 220ms (Views: 51.6ms | ActiveRecord: 9.0ms)
 Started GET "/rb/server_variables.js" for 192.168.xxx.xxx at Tue Jul 17 11:37:14 +0200 2012

@

so, we get the same logoutput like Kimbro Staken, see here:

http://www.redmine.org/boards/2/topics/31026

What can we do?

Greeting

Steffen

#2 - 2012-07-28 17:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Sorry, no support request here. Something prevents your redmine to call svn client correctly.

#3 - 2012-07-31 22:33 - Steffen B.

hmm,

 Something prevents your redmine to call svn client correctly.

"something" ... like a bug?

`

where is the place for bugs? here so i take a new ticket #11557    

thanks for real help

greetings Steffen

#4 - 2012-07-31 23:22 - Jean-Philippe Lang

thanks for real help

 Sorry but we don't provide "help" here. Unless you're able to figure out what is going wrong with your svn access, I can't fix anything. Please, have a

look at the similar issues: http://www.redmine.org/search?issues=1&q=%22No+close+tag+for%22

#5 - 2012-08-01 10:11 - Steffen B.

well if i have time, i will take a deeper look inside redmine again ... but this elementary function, a normal svn access must be work out of the box!!! i

spent over 2 hours in this and get no solution ... we will see ...

#6 - 2012-08-25 00:47 - Homerun Homerun

- Status changed from Closed to Reopened

svn+ssh problem ..

Project activity like revisions can be seen by correct svn+ssh setup and repository setup but browsing not working.

404 error "The entry or revision was not found in the repository." in project repository page

some env info :

cat /etc/debian_version

6.0.5

Used RubyForge tar.gz for installation and followed RedmineInstall quide

All did go as planned until attach existing svn repos.... **

ruby script/about

Environment:

Redmine version                          2.0.3.stable

Ruby version                             1.8.7 (i486-linux)

Rails version                            3.2.6

Environment                              production

Database adapter                         MySQL

Redmine plugins:

no plugin installed **
when start redmine and follow log/production.log file

this appears. **

ruby script/rails server -d -e production

**script/rails:6:in `require'

script/rails:6

...

No close tag for /lists/list

Line: 4

Position: 81

Last 80 unconsumed characters:

Output was:

<?xml version="1.0"?>

<lists>

<list

path="svn+ssh://svn@localhost/test-repo"> **

Rendered common/error.html.erb within layouts/base (2.2ms)

Completed 404 Not Found in 1310ms (Views: 90.7ms | ActiveRecord: 139.8ms)

 same as svn **

svn list --xml svn+ssh://svn@localhost/test-repo

<?xml version="1.0"?>

<lists>

<list

path="svn+ssh://svn@localhost/test-repo">

<entry

kind="dir">

<name>branches</name>

<commit

revision="1">

<author>root</author>

<date>2012-08-24T04:25:05.228443Z</date>

</commit>

</entry>

<entry

kind="dir">

<name>tags</name>

<commit

revision="1">

<author>root</author>

<date>2012-08-24T04:25:05.228443Z</date>

</commit>

</entry>

<entry

kind="dir">

<name>trunk</name>

<commit

revision="2">

<author>svn</author>

<date>2012-08-24T19:39:22.084370Z</date>

</commit>

</entry>

</list>

</lists> **

scanned a bit more and found lines from log **

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

/usr/lib/ruby/1.8/rexml/parsers/treeparser.rb:28:in `parse'

/usr/lib/ruby/1.8/rexml/document.rb:228:in `build'

/usr/lib/ruby/1.8/rexml/document.rb:43:in `initialize' **

#7 - 2012-08-25 04:45 - Toshi MARUYAMA

- Status changed from Reopened to Closed

It is obviously your ssh setting problem.

Please do not open issue for unrelated problem.

Please use forum.

#8 - 2012-10-16 10:09 - Steffen B.

- Status changed from Closed to Reopened
samir djouadi Team:

i think this error happens very often ... so this is not a svn config problem, i think the redmine setup routine goes wrong ways. it is realy "not good" if

redmine admins (mostly also developers) spent hours or days to solve this stupid problem ... take a look inside the forum and search for :

"Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>"

#9 - 2012-10-16 10:39 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Steffen B. wrote:

samir djouadi Team:

i think this error happens very often ... so this is not a svn config problem, i think the redmine setup routine goes wrong ways. it is realy "not

good" if redmine admins (mostly also developers) spent hours or days to solve this stupid problem ... take a look inside the forum and search for

:

"Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>"

 You can add or edit wikis on Redmine.org.

#10 - 2012-10-16 11:11 - Steffen B.

... if i have a solution i can do this.

#11 - 2012-10-16 11:19 - Steffen B.

- Status changed from Closed to Reopened

why use redmine not the defined svn users: it seems that redmine use the www-data user for a svm connect and not the defined logindata

Could not create directory '/var/www/.ssh'.

Host key verification failed.

svn: To better debug SSH connection problems, remove the -q option from 'ssh' in the [tunnels] section of your Subversion configuration file.

svn: Network connection closed unexpectedly

Could not create directory '/var/www/.ssh'.

Host key verification failed.

#12 - 2012-10-16 11:28 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Steffen B. wrote:

why use redmine not the defined svn users: it seems that redmine use the www-data user for a svm connect and not the defined logindata

 It depends on Web server.

#13 - 2012-10-16 11:40 - Steffen B.

- Status changed from Closed to Reopened

its a ... game here ... why check this not the redmine install routine, because webmine USE this Webserver? So this is a misleading "function" from

redmine :  you can paste user and password data for a svn acess and further this data will be not used ???

#14 - 2012-10-16 11:50 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Steffen B. wrote:

its a ... game here ... why check this not the redmine install routine, because webmine USE this Webserver? So this is a misleading "function"

from redmine :  you can paste user and password data for a svn acess and further this data will be not used ???

 Please use forum for topics of specific platform.

Redmine is Rails application working on multi platforms and Web servers (apache etc.).
#15 - 2012-10-16 12:20 - Steffen B.

the crazy thing is that the cvs access to a external server is working .. but this wicked redmine - svn access doesnt work ... I mean that this

preconditions must be checked by the redmine install

#16 - 2012-10-17 11:48 - Steffen B.

- Status changed from Closed to Reopened

Hello redmine Folks: this is a Defect because Redmine has here a misleading function: the user and password data ar total obsolete - senseless. So

make please :-) this function correct and consistent

see here: http://www.redmine.org/boards/2/topics/28422?r=32903#message-32903

only the webserver process user is finally the user for the remote svn access.

This defect waste to much time, please understand ...

#17 - 2012-10-17 12:13 - Toshi MARUYAMA

- Status changed from Reopened to Closed

What is Redmine defect?

The answer is written in this message.

http://www.redmine.org/boards/2/topics/28422?r=32903#message-32903

You need to set ssh config to web server process UID.

#18 - 2012-10-17 12:18 - Radek Antoniuk

- Status changed from Closed to Reopened

Toshi, you are joking right? Please stop closing this issue as it has a MAJOR influence on subversion integration of Redmine.

This IS AN ISSUE and as you are part of the devteam you have to fix the documentation and NOT point people to forum threads.

If so many people have problems with that, then maybe it is worth doing a comment on the configuration page because this is clearly misleading!

#19 - 2012-10-17 12:23 - Toshi MARUYAMA

- Status changed from Reopened to Closed

There is a wiki.

Error_parsing_svn_output

#20 - 2012-10-17 12:38 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

There is a wiki.

Error_parsing_svn_output

 I have updated this wiki.

#21 - 2012-10-17 14:21 - Steffen B.

Radek Antoniuk: thanks for your support at this issue "game" ...

toshio harita. thanks,... later, i will report my result here

samir djouadi folks : please read reports better, we spent time to this description ...

#22 - 2012-11-08 17:51 - Pierre Labrie

Toshi MARUYAMA wrote:

Toshi MARUYAMA wrote:

There is a wiki.

Error_parsing_svn_output

 I have updated this wiki.
 Pierre Labrie wrote:

I have updated the wiki for windows users. It took me 2 days to figure out the problem of the certificate aceeptation.

Redmine code in scm\adapter\abstact_adapter.rb** should trap connection errors and should not relies on No close tag for /lists/list> to inform us of

this problem. The stderr is captured in a log when running in dev environment but not very useful in production.

#23 - 2013-05-03 20:01 - Tulio Goncalves

I had the same problem but I discovered that the svn's ssl certificate was expired. I created another one and executed the svn list command as the

user that executes Thin server to accept the certificate permanently. Everything is OK now! :)

#24 - 2017-07-03 14:10 - Aleksandar Pavic

I absolutley agree with this:

Redmine code in scm\adapter\abstact_adapter.rb** should trap connection errors and should not relies on No close tag for /lists/list> to inform us of

this problem. The stderr is captured in a log when running in dev environment but not very useful in production.

Same error occurs if your svn is not visible thru DNS, my DNS was public instead of private...

Trap SVN/repo problems and display error message to user.
